apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

namespace: preprod
# namePrefix: preprod-   # rien n'interdit de combiner namespace ET namePrefix
# nameSuffix: -preprod

commonLabels:
  variante: preprod-phase

resources:
  - ../../base

patches:   # a remplacé patchesStrategicMerge à partir de la v5
#  - path: qte_replicas.yaml
  - target:               # "à la" JSON 6902
      kind: Deployment
      name: nginx-discret
    patch: |-
      - op: replace
        path: /spec/replicas
        value:  17
